﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Excel;
using WindowsFormsApplication1.Properties;
using Resources = WindowsFormsApplication1.Properties.Resources;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        private const string RESOURCE_PATH_TEMPLATE = "WindowsFormsApplication1.Resources.MrcTemplate.xlsx";

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            Process.Start("Resources\\MrcTemplate.xlsx");


        }

        public static byte[] ReadStream(Stream input)
        {
            var buffer = new byte[1024];
            using (var ms = new MemoryStream())
            {
                int read;
                while ((read = input.Read(buffer, 0, buffer.Length)) > 0)
                {
                    ms.Write(buffer, 0, read);
                }
                return ms.ToArray();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Workbook workbook;
            using (var stream = GetType().Assembly.GetManifestResourceStream(RESOURCE_PATH_TEMPLATE))
            {
                if (stream == null) throw new Exception(string.Format("The resource '{0}' was not found.", RESOURCE_PATH_TEMPLATE));
                var data = ReadStream(stream);
                var memoryStream = new MemoryStream(data);
                workbook = Workbook.Load(memoryStream, false);
            }

            workbook.Save("C:/test.xlsx");
            Process.Start("C:/test.xlsx");
        } 
    }
}
